we’re proud to announce the first bugfix release for the 2.4 series of darktable, 2.4.1!

the github release is here: [https://github.com/darktable-org/darktable/releases/tag/release-2.4.1](https://github.com/darktable-org/darktable/releases/tag/release-2.4.1).

as always, please don't use the autogenerated tarball provided by github, but only our tar.xz. the checksums are:

```
$ sha256sum darktable-2.4.1.tar.xz
??? darktable-2.4.1.tar.xz
$ sha256sum darktable-2.4.1.dmg
??? darktable-2.4.1.dmg
$ sha256sum darktable-2.4.1-win64.exe
??? darktable-2.4.1-win64.exe
```

when updating from the currently stable 2.2.x series, please bear in mind that your edits will be preserved during this process, but it will not be possible to downgrade from 2.4 to 2.2.x any more.

#### Important note: to make sure that darktable can keep on supporting the raw file format for your camera, *please* read [this post](https://discuss.pixls.us/t/raw-samples-wanted/5420?u=lebedevri) on how/what raw samples you can contribute to ensure that we have the *full* raw sample set for your camera under CC0 license!

and the changelog as compared to 2.4.0 can be found below.

## New Features

- Allow to select the GUI language in the preferences
- Add a filter rule to the collect module to find locally copied images
- Add favourite toggle to darkroom modules' right click popup
- Allow blending/masking in the hot pixels module
- Add keyboard shortcuts to zoom and pan an image in darkroom. Panning uses the arrow keys, zooming defaults to `ctrl-` and `ctrl+`. Use `alt` and `ctrl` to change the step size of panning.
- Some minor speedups in the grain module
- Handling stdout on Windows: do not redirect stdout for simple command line arguments (`--help` and `--version`)
- On Windows, show the location of the log file in the help message
- Enable searching in the more modules list – click into the list to give focus to it, then start typing. The default GTK shortcut `ctrl-f` doesn't work as it's used for filmstrip already
- Add a debug print when compiling OpenCL kernels

## Bugfixes

- Use the configured overwrite color profile when exporting from Lua – this broke GIMP integration
- Support presets with `<` in their name
- Fix export to non-existing path with `\` as the path separator on Windows
- Don't insist on the db being locked when it doesn't even exist
- Don't touch the mix slider when resetting the curve in color zones
- Fix a bug in the exposure module that would only allow corrections of up to 10 stops
- Fix custom shortcuts with `shift` modifier
- Properly ellipsize text in the recently used collections list
- Fix exported galeries with filenames containing a `'`
- Fix finding mipmaps cache folder in `purge_from_cache.sh` script
- Fix a crash in the recently used collections list due to a broken config file
- Set the sqlite threading mode to Serialized
- Fix old export presets using OpenEXR
- Fix building with clang on Windows

## Changed Dependencies

- iso-codes version 3.66 or newer is suggested for a nicer list of translations in the preferences.

## Camera support, compared to 2.4.0

#### Warning: support for Nikon NEF 'lossy after split' raws was unintentionally broken due to the lack of such samples. Please see [this post](https://discuss.pixls.us/t/nikon-a-specific-raw-sample-wanted/5483?u=lebedevri) for more details. If you have affected raws, please contribute samples!

### Base Support

- Panasonic DC-G9 (4:3)
- Paralenz Dive Camera (chdk)
- Pentax KP
- Sjcam SJ6 LEGEND (chdk-b, chdk-c)

### White Balance Presets

- Leaf Credo 40
- Nikon D3400
- Olympus E-M1MarkII
- Panasonic DC-G9
- Sony ILCE-7RM3

### Noise Profiles

- Canon EOS 750D
- Canon EOS Kiss X8i
- Canon EOS Rebel T6i
- Canon EOS 77D
- Canon EOS 9000D
- Canon EOS M100
- Canon EOS M6
- Sony DSC-RX100M4
- YI TECHNOLOGY M1

## Translations

- Czech
- Dutch
- French
- German
- Hebrew
- Hungarian
- Italian
- Slovenian
